Name:           libXxf86dga
Version:        1.1.6
Release:        1
Summary:        Client library for the XFree86-DGA extension
License:        MIT
URL:            https://www.x.org
Source0:        https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.xz
Source1:        baselibs.conf

BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xf86dgaproto) >= 2.0.99.2
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto)

%description
Client library for the XFree86-DGA extension

%package        devel
Summary:        Development package for libXxf86dga
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version}

%build
autoreconf -ivf
%configure
%make_build

%install
%make_install INSTALL="install -p"
%delete_la

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%license COPYING
%{_libdir}/*.so.*


%files          devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/X11/extensions/*.h

%files          help
%defattr(-,root,root)
%doc README.md
%{_mandir}/man3/*.3*

%changelog
* Tue Feb 14 2023 lilong <lilong@kylinos.cn> - 1.1.6-1
- Upgrade to 1.1.6

* Thu Jan 28 2021 hanhui <hanhui15@huawei.com> - 1.1.5-1
- Type: enhancement
- ID:   NA
- SUG:  NA
- DESC: update to 1.1.5

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.4-16
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Thu Sep 05 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.4-15
- Type:enhance
- ID:NA
- SUG:NA
- DESC:new rule

* Mon Aug 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.4-14
- Package init
